explain_asprintf_or_die(3)

NAME
explain_asprintf_or_die - print to allocated string and report errors

SYNOPSIS
#include <libexplain/asprintf.h>

int explain_asprintf_or_die(, ...);
int explain_asprintf_on_error(, ...);

DESCRIPTION
The explain_asprintf_or_die function is used to call the asprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_asprintf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_asprintf_on_error function is used to call the asprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_asprintf(3) function, but still returns to the caller.

RETURN VALUE
The explain_asprintf_or_die function only returns on success, see asprintf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_asprintf_on_error function always returns the value return by the wrapped asprintf(3) system call.

EXAMPLE
The explain_asprintf_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_asprintf_or_die();

SEE ALSO

asprintf(3)
    print to allocated string

explain_asprintf(3)
    explain asprintf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller